<?php

declare(strict_types=1);
/**
 * @copyright Copyright (c) 2020, Roeland Jago Douma <roeland@famdouma.nl>
 *
 * @author Roeland Jago Douma <roeland@famdouma.nl>
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

namespace OCA\DAV\Storage;

use OC\Files\Storage\Wrapper\Wrapper;

class PublicOwnerWrapper extends Wrapper {

	/** @var string */
	private $owner;

	/**
	 * @param array $arguments ['storage' => $storage, 'owner' => $owner]
	 *
	 * $storage: The storage the permissions mask should be applied on
	 * $owner: The owner to use in case no owner is found
	 */
	public function __construct($arguments) {
		parent::__construct($arguments);
		$this->owner = $arguments['owner'];
	}

	public function getOwner($path) {
		$owner = parent::getOwner($path);

		if ($owner === null || $owner === false) {
			return $this->owner;
		}
	}
}
